Skip to main content
GET
cURL
For new integrations, prefer List Contract Container Templates which returns native contractContainerTemplateId values usable directly with Invite Downstream Entity.
This is a filtered use case of the List Documents endpoint. To retrieve producer agreement templates, use the following query parameters: Producer agreement templates are master documents that define the contractual relationship between an upstream entity and its downstream entities.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
enum<string>
required

Filter documents by file document category

Available options:
W9,
E&O,
Cyber,
Producer Agreement,
Crime & Fidelity,
Other Contract,
Other Document,
Payment Details,
License PDF,
Contract Container Folder Document,
Surplus Lines,
Surplus Lines Tax Certification,
Surplus Lines Diligent Effort,
Surety Bond,
custom question upload,
market onboarding email attachment,
market application pack source
Example:

"Producer Agreement"

subCategory
enum<string>

Filter Producer Agreement documents by type (instance or template)

Available options:
instance,
template
Example:

"template"

isDeleted
boolean

Filter documents by their soft-deletion status. Deleted Surplus Lines documents are never returned, so true returns the deleted documents of every other category.

Example:

false

Response

List of file documents

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"